Bug 122156 - i810 GL graphics causes sytem lockup
i810 GL graphics causes sytem lockup
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-30 20:23 EDT by Tom Glinos
Modified: 2007-11-30 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-15 10:09:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
content of Xorg.0.log (35.03 KB, text/plain)
2004-05-01 18:44 EDT, Marek Kassur
no flags Details

  None (edit)
Description Tom Glinos 2004-04-30 20:23:53 EDT
Description of problem:
Use of GL graphics of i810 causes sytem to lock up
Section "Device"
        Identifier  "Videocard0"
        Driver      "i810"
        VendorName  "Videocard vendor"
        BoardName   "Intel 865"
EndSection

Version-Release number of selected component (if applicable):


How reproducible:
Occurs on both Test 2 and Test 3

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Marek Kassur 2004-05-01 18:41:14 EDT
Same here, but I found this in my logs:

[drm:i810_wait_ring] *ERROR* space: 64744 wanted 65528
[drm:i810_wait_ring] *ERROR* lockup
mtrr: base(0xf8000000) is not aligned on a size(0x180000) boundary
[drm] Using v1.4 init.
[drm:i810_wait_ring] *ERROR* space: 65512 wanted 65528
[drm:i810_wait_ring] *ERROR* lockup
mtrr: base(0xf8000000) is not aligned on a size(0x180000) boundary
[drm] Using v1.4 init.
Comment 2 Marek Kassur 2004-05-01 18:44:17 EDT
Created attachment 99867 [details]
content of Xorg.0.log
Comment 3 Nathan Nutter 2004-05-02 13:05:23 EDT
Mine does this too, but only in test 3 not test 2.
Comment 4 Alan Cox 2004-05-02 17:16:15 EDT
At least part of this is now known to be a kernel bug in one of the
DRI ioctl paths only showing up if 4Gig/4Gig kernel split is used (as
Fedora 2.6 kernels do)
Comment 5 Arjan van de Ven 2004-05-03 06:07:38 EDT
can you try the kernel at http://people.redhat.com/arjanv/2.6
we fixed a critical bug in this code yesterday
Comment 6 Marek Kassur 2004-05-03 12:38:47 EDT
It still lockup using heretic2, but system is usable after X server
reinitialization. 
[drm:i810_wait_ring] *ERROR* space: 65512 wanted 65528
[drm:i810_wait_ring] *ERROR* lockup

The system lockup hard with other OpenGL programs (glxgears or Quake2).

Kernel 2.6.5-1.349 provided by Arjan van de Ven.
Comment 7 Tom Glinos 2004-05-03 12:44:52 EDT
downloaded kernel-2.6.5-1.349.i686.rpm
Still locks up.
Comment 8 Alan Cox 2004-05-03 15:38:45 EDT
349 fixes the oops at startup, but then it crashes as soon as any 3D
code runs and hangs the box solid.
Comment 9 Alan Cox 2004-05-03 16:51:39 EDT
Ok and the .i586 kernel (the one without the 4g/4g split) works
perfectly as Arjan suspected it might. I guess its a workaround 8)
Comment 10 Marek Kassur 2004-05-03 18:41:44 EDT
Hmm, .i586 works perfectly with simple GL program:
glxgears
1237 frames in 5.0 seconds = 247.400 FPS

Quake2 works too, but very slow and logs lot of this:
[driAllocateTexture:583] unable to allocate texture

Heretic2, Quake3, Wolfenstein crash X with [drm:i810_wait_ring] as before.
Comment 11 Marius Andreiana 2004-05-31 09:31:15 EDT
On FC2 final (please update version), I get the same errors/lockup,
with i845GL chipset (i810 driver). 
/var/log/messages and X log are the same as the ones attached here.

It happens *sometimes* on regular computer booting, when X is starting
(I disabled graphical boot).

What information is still needed to debug this?

Thanks
Comment 12 Marek Kassur 2004-09-24 17:44:51 EDT
I get no longer errors or lockups on FC3 Test2. OpenGL programs works
at reasonable framerates for my hardware (Intel 82815 CGC).
Comment 13 Dave Jones 2004-12-08 01:19:51 EST
is this problem fixed in the 2.6.9 updates ?
Comment 14 Alan Cox 2004-12-08 06:06:38 EST
For i810 not entirely it also needs the test Xorg rpm that Mike Harris was
kicking around at which point 2D works but 3D does not. Kernel side seems fine
and this appears to be an X bug that is left now.

Moving to X
Comment 15 Mike A. Harris 2005-04-15 10:09:49 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.